# Note

**Summary:** Endpoints for Note

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/note
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="post-api-v1-note"></a>
## Create a note on member

`POST /api/v1/note`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CreateNoteDto`

| Name | Type | Description |
| --- | --- | --- |
| `note` (Required) | `string` | `maxLength`: `10000` |
| `memberId` (Required) | `string` |   |

**Example request body**

`application/json`

```json
{
  "note": "string",
  "memberId": "string"
}
```

### Responses

#### 201

Content type: `application/json` · `NoteResponse`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `number` |   |
| `note` (Required) | `string` |   |
| `memberId` (Required) | `string` |   |
| `adminUserId` (Required) | `number` |   |
| `adminUserName` (Required) | `string` |   |
| `createdAt` (Required) | `string (date-time)` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

shouldNotBeEmpty, invalidFormat

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"shouldNotBeEmpty"`, `"invalidFormat"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "shouldNotBeEmpty",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

memberNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"memberNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "memberNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Create a note on member (403)](https://www.subrite.no/developers/note?md=true#post-api-v1-note).

### Example request

```bash
curl https://api.subrite.no/api/v1/note \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "note": "string",
  "memberId": "string"
}'
```

### Example response

201 · `application/json`

```json
{
  "id": 0,
  "note": "string",
  "memberId": "string",
  "adminUserId": 0,
  "adminUserName": "<adminUserName>",
  "createdAt": "2019-08-24T14:15:22Z"
}
```

<a id="delete-api-v1-note-id"></a>
## delete a note

`DELETE /api/v1/note/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

#### 400

Content type: `application/json` · `ErrorResponse`

shouldNotBeEmpty, badRequest

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"shouldNotBeEmpty"`, `"badRequest"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "shouldNotBeEmpty",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Create a note on member (403)](https://www.subrite.no/developers/note?md=true#post-api-v1-note).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"notFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Create a note on member (403)](https://www.subrite.no/developers/note?md=true#post-api-v1-note).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/note/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer <token>'
```

<a id="patch-api-v1-note-id"></a>
## update a note

`PATCH /api/v1/note/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `UpdateNoteDto`

| Name | Type | Description |
| --- | --- | --- |
| `note` (Required) | `string` | `maxLength`: `10000` |

**Example request body**

`application/json`

```json
{
  "note": "string"
}
```

### Responses

#### 200

Content type: `application/json` · `NoteResponse`

Same fields as [Create a note on member (201)](https://www.subrite.no/developers/note?md=true#post-api-v1-note).

#### 400

Content type: `application/json` · `ErrorResponse`

badRequest, shouldNotBeEmpty, invalidFormat

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"`, `"shouldNotBeEmpty"`, `"invalidFormat"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Create a note on member (403)](https://www.subrite.no/developers/note?md=true#post-api-v1-note).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

Same fields as [delete a note (404)](https://www.subrite.no/developers/note?md=true#delete-api-v1-note-id).

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Create a note on member (403)](https://www.subrite.no/developers/note?md=true#post-api-v1-note).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/note/{id}' \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "note": "string"
}'
```

### Example response

200 · `application/json`

```json
{
  "id": 0,
  "note": "string",
  "memberId": "string",
  "adminUserId": 0,
  "adminUserName": "<adminUserName>",
  "createdAt": "2019-08-24T14:15:22Z"
}
```
